%define lib_major	10
%define lib_name	%mklibname input %{lib_major}
%define develname	%mklibname -d input

Summary:	Handles input devices for display servers
Name:		libinput
Version:	1.3.2
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
URL:		http://www.freedesktop.org/wiki/Software/libinput/
Source0:	http://www.freedesktop.org/software/libinput/%{name}-%{version}.tar.xz
Patch03:    0001-udev-the-lenovo-E530-has-a-wobbly-touchpad.patch
#---------------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}check-devel
BuildRequires: %{_lib}evdev-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}mtdev-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}wacom-devel
#---------------------------------------------

%description
libinput is a library that handles input devices for display servers and
other applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input
code the user of libinput need to provide the common set of
functionality that users expect.

%package -n %{lib_name}
Summary:	Libraries for libinput
Group:		System/Libraries

%description -n %{lib_name}
libinput is a library that handles input devices for display servers and
other applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input
code the user of libinput need to provide the common set of
functionality that users expect.

%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}

%description -n %{develname}
libinput is a library that handles input devices for display servers and
other applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input
code the user of libinput need to provide the common set of
functionality that users expect.

This package contains the files necessary to develop applications with libinput.

%package tools
Summary:	Tools for libinput
Group:		System/Base

%description tools
libinput is a library that handles input devices for display servers and
other applications that need to directly deal with input devices.

It provides device detection, device handling, input device event
processing and abstraction so minimize the amount of custom input
code the user of libinput need to provide the common set of
functionality that users expect.

This package contains the libinput tools.


%prep
%setup -q
%apply_patches

%build
%configure2_5x --with-udev-dir=/lib/udev/ --disable-static

%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}*
/lib/udev/rules.d/*
/lib/udev/hwdb.d/90-libinput-model-quirks.hwdb
/lib/udev/libinput-device-group
/lib/udev/libinput-model-quirks

%files -n %{develname}
%doc COPYING
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files tools
%{_bindir}/*
%{_mandir}/*/*

%clean
rm -rf %buildroot

%changelog
* Mon Jun 20 2016 bb <bb> 1.3.2-1pclos2016
- update

* Mon May 30 2016 bb <bb> 1.3.1-1pclos2016
- update

* Wed May 11 2016 bb <bb> 1.3.0-1pclos2016
- update


